Bug 1281304 - sometimes files are not getting demoted from hot tier to cold tier
sometimes files are not getting demoted from hot tier to cold tier
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: RHGS 3.1.2
Assigned To: Joseph Elwin Fernandes
RajeshReddy
: ZStream
Depends On:
Blocks: 1260783 1284090 1285688
  Show dependency treegraph
 
Reported: 2015-11-12 04:34 EST by RajeshReddy
Modified: 2016-09-17 11:39 EDT (History)
7 users (show)

See Also:
Fixed In Version: glusterfs-3.7.5-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1284090 (view as bug list)
Environment:
Last Closed: 2016-03-01 00:54:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RajeshReddy 2015-11-12 04:34:22 EST
Description of problem:
========================
sometimes files are demoted from hot tier to cold tier 


Version-Release number of selected component (if applicable):
===================
glusterfs-server-3.7.5-5


How reproducible:


Steps to Reproduce:
==============
1. Create distributed replica volume and attach four bricks as hot tier 
2. Mount it on client using FUSE, create a directory and create large text file using  for i in {1..20}; do cat file.txt file.txt > file2.txt && mv file2.txt file.txt; done
3. while file is migrating from hot to cold do some IO and same way while file is migrating from cold to hot do some IO after this file is not demoted to cold even after multiple cycles 

Actual results:


Expected results:
==================
File should be demoted 

Additional info:
============
[root@rhs-client19 ~]# gluster vol info disrep_tier
 
Volume Name: disrep_tier
Type: Tier
Volume ID: ea4bd2c2-efd3-4d25-bbc1-8f6d9c75dafc
Status: Started
Number of Bricks: 8
Transport-type: tcp
Hot Tier :
Hot Tier Type : Distributed-Replicate
Number of Bricks: 2 x 2 = 4
Brick1: rhs-client19.lab.eng.blr.redhat.com:/rhs/brick5/tier
Brick2: rhs-client18.lab.eng.blr.redhat.com:/rhs/brick5/tier
Brick3: rhs-client19.lab.eng.blr.redhat.com:/rhs/brick6/tier
Brick4: rhs-client18.lab.eng.blr.redhat.com:/rhs/brick6/tier
Cold Tier:
Cold Tier Type : Distributed-Replicate
Number of Bricks: 2 x 2 = 4
Brick5: rhs-client18.lab.eng.blr.redhat.com:/rhs/brick7/disrep_teri
Brick6: rhs-client19.lab.eng.blr.redhat.com:/rhs/brick7/disrep_teri
Brick7: rhs-client18.lab.eng.blr.redhat.com:/rhs/brick6/disrep_teri
Brick8: rhs-client19.lab.eng.blr.redhat.com:/rhs/brick6/disrep_teri
Options Reconfigured:
features.ctr-enabled: on
performance.readdir-ahead: on

while creating large file able to see fallowing message on client (while file is migrating)

[root@dht-rhs-23 test]# for i in {1..20}; do cat file.txt file.txt > file2.txt && mv file2.txt file.txt; done
mv: overwrite ‘file.txt’? y
mv: cannot move ‘file2.txt’ to ‘file.txt’: Device or resource busy
Comment 2 RajeshReddy 2015-11-12 04:46:26 EST
sosreports are available @ /home/repo/sosreports/bug.1281304 on rhsqe-repo.lab.eng.blr.redhat.com
Comment 3 RajeshReddy 2015-11-12 05:25:16 EST
File on hot tier is 

[root@rhs-client19 ~]# ls -lrth /rhs/brick*/tier/test
/rhs/brick5/tier/test:
total 0

/rhs/brick6/tier/test:
total 2.1G
-rw-r--r--. 2 root root 2.1G Nov 12 13:10 file.txt
Comment 5 RajeshReddy 2015-11-17 02:47:50 EST
[root@rhs-client18 .glusterfs]# echo "select * from gf_file_tb; select * from gf_flink_tb;" | sqlite3 /rhs/brick6/tier/.glusterfs/tier.db
9686487e-9608-4463-9467-2bb608697ab8|1447311580|503740|0|0|0|0|0|0|0|0
415897d5-bc52-4bbb-8cf6-cc3e72b41aaa|1447311605|255110|0|0|0|0|0|0|0|0
9213460e-1e51-4d99-b0fc-1f152f05f07d|1447311607|355236|0|0|0|0|0|0|0|0
3e1b83bb-b6d4-48c2-9233-2a7c655673fb|1447311608|230398|0|0|0|0|0|0|0|0
3ceadc67-1df5-49b8-aa07-5d3a6593530b|1447311632|859874|0|0|0|0|0|0|0|0
d244302c-912a-4c6a-8381-1ee364716af5|1447311633|552397|0|0|1447311633|726927|0|0|0|0
a0661ba1-6f78-44b9-a0b6-3dfe65901c17|1447311633|934616|0|0|1447311634|99316|0|0|0|0
a5b160ba-3f2e-4470-88e6-7646979211df|1447311634|310994|0|0|1447311634|468869|0|0|0|0
26cb6ec7-6032-49fa-87d0-0622d45e4102|1447311634|654645|0|0|1447311634|801881|0|0|0|0
49c9ec06-61d4-421e-a068-bcac8ed80871|1447311634|999740|0|0|0|0|0|0|0|0
68f1eba4-8771-4a1a-bf1e-a8daea632d0b|1447311636|526593|0|0|0|0|0|0|0|0
6c5b18f1-251b-4439-a37b-07749e4000e2|1447311637|689725|0|0|0|0|0|0|0|0
1566d6ed-6174-44a3-9265-e5cf40ee974e|1447311651|520468|0|0|0|0|0|0|0|0
06eede03-de12-42ef-9146-5aa81176914b|1447311652|821512|0|0|0|0|0|0|0|0
29b66be3-d803-42b9-85f3-7b626f139a3e|1447311654|117159|0|0|1447311654|318404|0|0|0|0
60ec7526-3aa4-4c37-92e6-ede3b8ca3d8c|1447311655|365271|0|0|1447311655|565553|0|0|0|0
3e35a88a-7f20-4f0d-93b2-a42bf281176c|1447311656|716393|0|0|0|0|0|0|0|0
c31ae3e1-ec5a-428c-9304-97f818f3bfb4|1447311658|517246|0|0|0|0|0|0|0|0
b7e2202c-9960-448d-ba36-54e4ad6e61a2|1447311660|925585|0|0|1447311662|388496|0|0|0|0
c4574831-3bb4-4175-89f9-123ba97ca668|1447311664|293894|0|0|1447311686|704089|0|0|0|0
021bb376-476e-49d5-acc2-fb982eaf0df6|1447311700|720199|0|0|1447311706|342991|0|0|0|0
a0405f61-13a3-4387-9fe1-282d2abc5d7e|1447311711|471413|0|0|0|0|0|0|0|0
5b5dc871-16cc-4067-991c-b0e8f1d381a9|1447311786|432823|0|0|1447311836|18390|0|0|0|0
945736e3-c16f-4407-90bf-8fe48a01b29b|1447312065|503392|0|0|0|0|0|0|0|0
17319eab-0012-41a3-8082-55897e90f122|1447312045|916766|0|0|0|0|0|0|0|0
ec743437-bbbe-41a2-839f-d8d7ee21f94f|1447312067|5438|0|0|0|0|0|0|0|0
b773e1b3-b74e-4769-a495-55a7da1120f7|1447312069|989209|0|0|0|0|0|0|0|0
ace76753-5b0d-4423-8af6-fb9eee1c1587|1447312071|130374|0|0|0|0|0|0|0|0
44b725dc-6749-45c6-b3f2-6e8fc4fe7648|1447312194|218043|0|0|0|0|0|0|0|0
248dca9d-4428-4b8c-8731-f87f71dc6d37|1447312195|158699|0|0|1447312195|303397|0|0|0|0
3cd11505-7e47-4c28-a24d-5f651d0f2a4a|1447312196|48223|0|0|0|0|0|0|0|0
5f91a92e-0e61-4e3f-b582-5ac291728849|1447312196|909986|0|0|1447312197|73062|0|0|0|0
d49a1e1c-0b1c-4560-8cea-6a295b1896ac|1447312197|775390|0|0|0|0|0|0|0|0
7a11d435-d921-45ba-a0f5-b1e8aab65563|1447312198|720167|0|0|1447312198|909936|0|0|0|0
07671b53-58be-4b37-9f76-d0e2fc46c54a|1447312199|598021|0|0|1447312199|883410|0|0|0|0
05fc44c2-75fe-44fe-93ba-349c06ff1e3d|1447312200|567659|0|0|0|0|0|0|0|0
e6c0ecd4-c2d9-4704-8b2e-45f663e77dd2|1447312201|395705|0|0|0|0|0|0|0|0
f2de2734-d69e-40ee-8ed7-0befb61aeb08|1447312202|334678|0|0|0|0|0|0|0|0
7e3d7e4c-e9f4-4bdf-90c1-e7c3f6262471|1447312212|723612|0|0|0|0|0|0|0|0
278a0ef9-5e7b-480e-908b-c9034b5ee245|1447312214|147664|0|0|0|0|0|0|0|0
3a69e5c9-bfa4-4a77-b1f8-1b653dc356a5|1447312215|938866|0|0|1447312216|763135|0|0|0|0
35a17fd6-4009-4fb3-9629-8b0c9c2975c7|1447312218|242441|0|0|1447312219|738597|0|0|0|0
b293fd90-8700-44b7-b22b-7fb7dcf6d443|1447312259|84064|0|0|0|0|0|0|0|0
2cf35b19-6d76-4497-9493-12be27127816|1447312276|254916|0|0|0|0|0|0|0|0
8bd9ed12-8338-4307-aea6-58d5aa8296f4|1447312298|55676|0|0|0|0|0|0|0|0
87d3fb79-72fa-453b-94d3-47b972c1b492|1447322358|792597|0|0|1447322380|755152|0|0|0|0
1bc0f09a-7272-4d69-b648-7dc627cfb143|1447322383|377481|0|0|1447322383|560727|0|0|0|0
35bdac5a-14ec-431a-a3b3-e9f46f7c0430|1447322384|906147|0|0|1447322385|71487|0|0|0|0
187603e5-38f4-44f5-82c1-d12d8b18ba9d|1447322385|760838|0|0|1447322385|944411|0|0|0|0
e07d8023-f696-49c8-af7c-9c998b788660|1447322386|559970|0|0|1447322386|726226|0|0|0|0
6c4dafac-6879-436f-b5e6-9b950ac95e66|1447322387|368559|0|0|1447322387|590508|0|0|0|0
f32115d2-b1c6-48f9-a079-8382e6df3467|1447322388|216298|0|0|1447322388|583219|0|0|0|0
1b6d61cc-115d-4da0-afa2-e31b187f5593|1447322389|408368|0|0|1447322389|669907|0|0|0|0
b257566a-dd83-4303-9c68-a0eca2915455|1447322390|288707|0|0|1447322390|424571|0|0|0|0
ddda8ce8-2fa9-495d-9d88-11de007907a5|1447322391|84987|0|0|1447322391|237874|0|0|0|0
a0efa8b5-b5a8-48b5-9500-916e06fef1ae|1447322391|844766|0|0|1447322391|989601|0|0|0|0
9e5c1ec0-7e8d-48df-b5a3-9912d323466f|1447322392|552364|0|0|1447322392|686645|0|0|0|0
ba3d12a1-498b-4c7f-a0ab-80b84e294243|1447322393|280506|0|0|1447322425|305391|0|0|0|0
a36a1ec1-6c5c-43e4-87b7-b77c717cfd86|1447322427|685814|0|0|1447322427|886141|0|0|0|0
d86c8cba-4afe-42c2-b6a5-05b13eea5992|1447322428|601593|0|0|1447322428|820167|0|0|0|0
b1b3b3fa-bd29-46e2-bedb-88c799f6cbfb|1447322429|513233|0|0|1447322429|703276|0|0|0|0
f9e16168-ec58-4860-8853-a878d8c2a857|1447322430|473999|0|0|1447322440|351879|0|0|0|0
c9f8b53e-0b48-4555-a27b-5ac4f009330d|1447322440|769266|0|0|1447322441|496463|0|0|0|0
2b3724c4-8384-417b-af5c-beba3a85a5ae|1447322442|105736|0|0|1447322443|641838|0|0|0|0
2a5cdf52-2884-42ce-8436-66630881711b|1447322444|522823|0|0|1447322447|634354|0|0|0|0
383949be-f359-47d3-b0f1-26dcf2ca281c|0|0|0|0|0|0|0|0|0|0
cc064a86-413e-4109-a9dc-dbde8ba0a3f9|0|0|0|0|0|0|0|0|0|0
7d7d09e8-89e2-45bd-91b6-82fd9021cc2e|0|0|0|0|0|0|0|0|0|0
cb2ae2a7-209f-4f40-bce8-95d664d174fe|0|0|0|0|0|0|0|0|0|0
8428c421-7c0b-4aeb-b64c-82ade65ae4a9|0|0|0|0|0|0|0|0|0|0
90725dc4-3cb2-4da9-a772-7d1f25eed542|0|0|0|0|0|0|0|0|0|0
a9ab84b5-d5ce-4cb4-97dc-40767a095b5f|0|0|0|0|0|0|0|0|0|0
9f0ed225-df99-4c07-bc8f-5ac483c83fb9|0|0|0|0|0|0|0|0|0|0
e3f1a44d-ba2f-4516-9383-f98a79650f47|0|0|0|0|0|0|0|0|0|0
e26c156c-f722-458e-8a22-da353e9a9ab7|0|0|0|0|0|0|0|0|0|0
cc18ed46-af58-4592-b284-2eebf4cd8dc3|0|0|0|0|0|0|0|0|0|0
a3e12b5b-e80c-483e-97a0-b95ce32f722c|0|0|0|0|0|0|0|0|0|0
b827365d-c3c8-4ccc-b6c1-55e339306a20|0|0|0|0|0|0|0|0|0|0
f42c3ae5-9d12-4e3a-8acb-9701b711bea6|0|0|0|0|0|0|0|0|0|0
ffcdff7d-91da-4d78-a3f0-3eeda880fbe3|0|0|0|0|0|0|0|0|0|0
9686487e-9608-4463-9467-2bb608697ab8|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
415897d5-bc52-4bbb-8cf6-cc3e72b41aaa|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
9213460e-1e51-4d99-b0fc-1f152f05f07d|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
3e1b83bb-b6d4-48c2-9233-2a7c655673fb|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
3ceadc67-1df5-49b8-aa07-5d3a6593530b|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
d244302c-912a-4c6a-8381-1ee364716af5|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
a0661ba1-6f78-44b9-a0b6-3dfe65901c17|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
a5b160ba-3f2e-4470-88e6-7646979211df|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
26cb6ec7-6032-49fa-87d0-0622d45e4102|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
49c9ec06-61d4-421e-a068-bcac8ed80871|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
68f1eba4-8771-4a1a-bf1e-a8daea632d0b|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
6c5b18f1-251b-4439-a37b-07749e4000e2|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
1566d6ed-6174-44a3-9265-e5cf40ee974e|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
06eede03-de12-42ef-9146-5aa81176914b|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
29b66be3-d803-42b9-85f3-7b626f139a3e|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
60ec7526-3aa4-4c37-92e6-ede3b8ca3d8c|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
3e35a88a-7f20-4f0d-93b2-a42bf281176c|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
c31ae3e1-ec5a-428c-9304-97f818f3bfb4|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
b7e2202c-9960-448d-ba36-54e4ad6e61a2|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
c4574831-3bb4-4175-89f9-123ba97ca668|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
021bb376-476e-49d5-acc2-fb982eaf0df6|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
a0405f61-13a3-4387-9fe1-282d2abc5d7e|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
5b5dc871-16cc-4067-991c-b0e8f1d381a9|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
17319eab-0012-41a3-8082-55897e90f122|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
945736e3-c16f-4407-90bf-8fe48a01b29b|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
ec743437-bbbe-41a2-839f-d8d7ee21f94f|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
b773e1b3-b74e-4769-a495-55a7da1120f7|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
ace76753-5b0d-4423-8af6-fb9eee1c1587|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
44b725dc-6749-45c6-b3f2-6e8fc4fe7648|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
248dca9d-4428-4b8c-8731-f87f71dc6d37|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
3cd11505-7e47-4c28-a24d-5f651d0f2a4a|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
5f91a92e-0e61-4e3f-b582-5ac291728849|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
d49a1e1c-0b1c-4560-8cea-6a295b1896ac|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
7a11d435-d921-45ba-a0f5-b1e8aab65563|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
07671b53-58be-4b37-9f76-d0e2fc46c54a|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
05fc44c2-75fe-44fe-93ba-349c06ff1e3d|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
e6c0ecd4-c2d9-4704-8b2e-45f663e77dd2|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
f2de2734-d69e-40ee-8ed7-0befb61aeb08|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
7e3d7e4c-e9f4-4bdf-90c1-e7c3f6262471|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
278a0ef9-5e7b-480e-908b-c9034b5ee245|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
3a69e5c9-bfa4-4a77-b1f8-1b653dc356a5|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
35a17fd6-4009-4fb3-9629-8b0c9c2975c7|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
b293fd90-8700-44b7-b22b-7fb7dcf6d443|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
2cf35b19-6d76-4497-9493-12be27127816|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
8bd9ed12-8338-4307-aea6-58d5aa8296f4|58a53540-7934-403c-9b12-f7bd539e6f21|file.txt|/test/file.txt|0|0
87d3fb79-72fa-453b-94d3-47b972c1b492|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
1bc0f09a-7272-4d69-b648-7dc627cfb143|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
35bdac5a-14ec-431a-a3b3-e9f46f7c0430|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
187603e5-38f4-44f5-82c1-d12d8b18ba9d|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
e07d8023-f696-49c8-af7c-9c998b788660|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
6c4dafac-6879-436f-b5e6-9b950ac95e66|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
f32115d2-b1c6-48f9-a079-8382e6df3467|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
1b6d61cc-115d-4da0-afa2-e31b187f5593|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
b257566a-dd83-4303-9c68-a0eca2915455|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
ddda8ce8-2fa9-495d-9d88-11de007907a5|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
a0efa8b5-b5a8-48b5-9500-916e06fef1ae|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
9e5c1ec0-7e8d-48df-b5a3-9912d323466f|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
ba3d12a1-498b-4c7f-a0ab-80b84e294243|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
a36a1ec1-6c5c-43e4-87b7-b77c717cfd86|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
d86c8cba-4afe-42c2-b6a5-05b13eea5992|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
b1b3b3fa-bd29-46e2-bedb-88c799f6cbfb|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
f9e16168-ec58-4860-8853-a878d8c2a857|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
c9f8b53e-0b48-4555-a27b-5ac4f009330d|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
2b3724c4-8384-417b-af5c-beba3a85a5ae|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
2a5cdf52-2884-42ce-8436-66630881711b|e01fcf9d-2d33-4bc1-bf27-eb01777e108d|file.txt|/down/file.txt|0|0
383949be-f359-47d3-b0f1-26dcf2ca281c|9d272c8b-356a-4470-878c-4896a4a2d9b7|Makefile|/linux/new/linux-3.19/arch/arc/oprofile/Makefile|0|0
cc064a86-413e-4109-a9dc-dbde8ba0a3f9|3a8e9d71-dcbe-4826-b753-14c5d35224e0|moxa,moxart-mac.txt|/linux/new/linux-3.19/Documentation/devicetree/bindings/net/moxa,moxart-mac.txt|0|0
7d7d09e8-89e2-45bd-91b6-82fd9021cc2e|3a8e9d71-dcbe-4826-b753-14c5d35224e0|stmmac.txt|/linux/new/linux-3.19/Documentation/devicetree/bindings/net/stmmac.txt|0|0
cb2ae2a7-209f-4f40-bce8-95d664d174fe|c22142bc-79ca-4766-bbb5-8d72444aaf97|auo,b116xw03.txt|/linux/new/linux-3.19/Documentation/devicetree/bindings/panel/auo,b116xw03.txt|0|0
8428c421-7c0b-4aeb-b64c-82ade65ae4a9|c22142bc-79ca-4766-bbb5-8d72444aaf97|lg,lp129qe.txt|/linux/new/linux-3.19/Documentation/devicetree/bindings/panel/lg,lp129qe.txt|0|0
90725dc4-3cb2-4da9-a772-7d1f25eed542|7b7f9b16-aa1f-4357-916c-e33cda29e5ca|ucc.txt|/linux/new/linux-3.19/Documentation/devicetree/bindings/powerpc/fsl/cpm_qe/qe/ucc.txt|0|0
a9ab84b5-d5ce-4cb4-97dc-40767a095b5f|5460c6fe-5b37-48ab-a52b-20915460fe36|i2c.txt|/linux/new/linux-3.19/Documentation/devicetree/bindings/powerpc/fsl/cpm_qe/cpm/i2c.txt|0|0
9f0ed225-df99-4c07-bc8f-5ac483c83fb9|8f0e0473-4c7c-4bba-b87f-5c5120207627|pwm-regulator.txt|/linux/new/linux-3.19/Documentation/devicetree/bindings/regulator/pwm-regulator.txt|0|0
e3f1a44d-ba2f-4516-9383-f98a79650f47|cb6e4e55-002c-4e46-82e7-022669329371|rtc-omap.txt|/linux/new/linux-3.19/Documentation/devicetree/bindings/rtc/rtc-omap.txt|0|0
e26c156c-f722-458e-8a22-da353e9a9ab7|cb6e4e55-002c-4e46-82e7-022669329371|sunxi-rtc.txt|/linux/new/linux-3.19/Documentation/devicetree/bindings/rtc/sunxi-rtc.txt|0|0
cc18ed46-af58-4592-b284-2eebf4cd8dc3|0bce5fba-a55a-4ce3-a96b-1417d03a7e04|ak5386.txt|/linux/new/linux-3.19/Documentation/devicetree/bindings/sound/ak5386.txt|0|0
a3e12b5b-e80c-483e-97a0-b95ce32f722c|0bce5fba-a55a-4ce3-a96b-1417d03a7e04|omap-mcpdm.txt|/linux/new/linux-3.19/Documentation/devicetree/bindings/sound/omap-mcpdm.txt|0|0
b827365d-c3c8-4ccc-b6c1-55e339306a20|f80b1afb-5d62-46ee-9b95-7e175ee0e05f|spi_altera.txt|/linux/new/linux-3.19/Documentation/devicetree/bindings/spi/spi_altera.txt|0|0
f42c3ae5-9d12-4e3a-8acb-9701b711bea6|ef07d4cc-7cb9-4e83-a5e6-1bd85d7ef441|nxp,sc16is7xx.txt|/linux/new/linux-3.19/Documentation/devicetree/bindings/serial/nxp,sc16is7xx.txt|0|0
ffcdff7d-91da-4d78-a3f0-3eeda880fbe3|622e43f3-0fa3-41dc-99eb-e30130607573|driver.txt|/linux/new/linux-3.19/Documentation/driver-model/driver.txt|0|0
[root@rhs-client18 .glusterfs]#
Comment 6 Joseph Elwin Fernandes 2015-11-17 03:59:41 EST
Is this the db entries for a hot tier ... tell me which files dont get demoted in this.
Comment 7 RajeshReddy 2015-11-17 04:07:50 EST
These are hot tier entires, file name is file.txt
Comment 8 Joseph Elwin Fernandes 2015-11-17 08:09:06 EST
Well This bugs have two issues,

1) when cold files are renamed, once promoted they wouldn't demote. This happens becoz a file link record entry for the file is created in hot tier for the T file before the promotion. And during the promotion since there is already a file link record entry the function exist out without creation a file record entry. Thus the file never comes in the demote query and thus never gets demoted.
This issues is solved in upstream and 3.7

upstream : http://review.gluster.org/12540
3.7      : http://review.gluster.org/12582

The downstream patch : https://code.engineering.redhat.com/gerrit/#/c/61545/
will be merged tonight and will reflect in coming downstream build

2) Now when a file with old_file_name and GFID_1 is renamed with a new_file_name which already exists and with GFID_2, this is what happens in linux internaly.
   a. "new_file_name" is unlinked for GFID_2
   b. a hardlink "new_file_name" is created to GFID_1
   c. "old_file_name" hardlink is unlinked for GFID_2.
Well this is all internal to linux, and gluster just issues a rename system call at POSIX layer. But CTR Xlator doesn't delete the entries corresponding to the "new_file_name" and GFID_2. Thus leaving the stale entry in the DB. The following are the implications.
a. Promotion are tried on these stale entries which will fail and show false results in the status of migration,
b. GFID_2 Files with 2 hardlinks, which will have only one hardlink after the rename will not be promoted or demoted as the DB shows 2 entries.
Comment 10 RajeshReddy 2015-12-14 05:54:28 EST
Tested with glusterfs-fuse-3.7.5-11 and performed the same test and promotions and demotions are working fine so marking this bug as verified
Comment 12 errata-xmlrpc 2016-03-01 00:54:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0193.html

Note You need to log in before you can comment on or make changes to this bug.